function plot_excel_data(experimental_data_file)
% vykresleni experimentalnich dat do jiz otevreneho obrazku
% pokud takovy neni, otevre se novy

% vyvolani funkce:
% plot_excel_data('profile.xlsx')
% predpokladame, ze se soubor jmenuje profile.xlxs a je v adresari DATA

% meritko nastavene v initial_setup (parametr r_rescaled)musi byt nastaveno
% tak, aby odpovidalo maximalni hodnote r v 1. sloupecku excelovskych dat, 
% napr. r_rescaled=600 znamena granat o polomeru 600

% pozor na poradi prvku (sloupecku v excelu)

% cd ../DATA
pfile=strcat('../DATA/',experimental_data_file)

hold on
iqexf=exist(pfile,'file')
if iqexf==0   
    'input experimental_data_file doesn''t exist'
    'available files in DATA are'
    dir ../DATA
    return
else
    % pozor, mohou tam byt NaNs
    data = xlsread(pfile, 'List1')
    
    xd=data(:,1);
    cMnd=data(:,3)'; 
    cMgd=data(:,4)'; 
    cFed=data(:,2)'; 
    cCad=data(:,5)';
    
    nd=size(data,1)
    
    ms=15;
    h1=plot(xd,cMnd,'b.','markersize',ms);
    h2=plot(xd,cMgd,'r.','markersize',ms);
    h3=plot(xd,cFed,'m.','markersize',ms);
    h4=plot(xd,cCad,'g.','markersize',ms);

end